Subject: bug#42509: closed (Re: bug#42509: guix refresh: Error downloading release information through the GitHub API)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Jul 2020 12:29:01 +0000

Your bug report

#42509: guix refresh: Error downloading release information through the GitHub API

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42509: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42509
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42509: guix refresh: Error downloading release information through the GitHub API
From: Ludovic Courtès <[email-masked]>
To: Alexandru-Sergiu Marton <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Jul 2020 14:27:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Alexandru-Sergiu Marton <[email-masked]> skribis:

> I tried running `guix refresh` and it gave me this error (after
> correctly reporting around 100 packages to be updated):
>
> Backtrace:
>           12 (primitive-load "/home/brown/.config/guix/current/bin/g…")
> In guix/ui.scm:
>   1974:12 11 (run-guix-command _ . _)
> In ice-9/boot-9.scm:
>   1736:10 10 (with-exception-handler _ _ #:unwind? _ # _)
>   1731:15  9 (with-exception-handler #<procedure 7f4cf1f528a0 at ic…> …)
>   1736:10  8 (with-exception-handler _ _ #:unwind? _ # _)
> In guix/store.scm:
>    631:22  7 (thunk)
>   2025:24  6 (run-with-store #<store-connection 256.99 7f4cfa5606e0> …)
> In guix/scripts/refresh.scm:
>    559:14  5 (_ _)
> In srfi/srfi-1.scm:
>     634:9  4 (for-each #<procedure 7f4cf8c43f80 at guix/scripts/ref…> …)
> In guix/scripts/refresh.scm:
>     362:2  3 (check-for-package-update #<package [email-masked]…> …)
> In guix/import/github.scm:
>    211:12  2 (latest-release _)
> In ice-9/boot-9.scm:
>   1669:16  1 (raise-exception _ #:continuable? _)
>   1669:16  0 (raise-exception _ #:continuable? _)
>
> ice-9/boot-9.scm:1669:16: In procedure raise-exception:
> Error downloading release information through the GitHub
> API when using a GitHub token
>
> I have the GUIX_GITHUB_TOKEN environment variable set.

Fixed:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=ac928d3e9ebdb660f8104f3e4b890a2353787cdf

The problem was with ‘wlstream’, which is apparently no longer hosted at
that URL.  Now the result is:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix refresh wlstream
guix refresh: warning: https://api.github.com/repos/atomnuker/wlstream/releases is unreachable (404)
gnu/packages/video.scm:3762:4: warning: 'github' updater failed to determine available releases for wlstream
--8<---------------cut here---------------end--------------->8---

Thanks,
Ludo’.

Subject: guix refresh: Error downloading release information through the GitHub API
From: Alexandru-Sergiu Marton <[email-masked]>
To: [email-masked]
Date: Fri, 24 Jul 2020 11:04:11 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I tried running `guix refresh` and it gave me this error (after
correctly reporting around 100 packages to be updated):

--8<---------------cut here---------------start------------->8---
Backtrace:
          12 (primitive-load "/home/brown/.config/guix/current/bin/g…")
In guix/ui.scm:
  1974:12 11 (run-guix-command _ . _)
In ice-9/boot-9.scm:
  1736:10 10 (with-exception-handler _ _ #:unwind? _ # _)
  1731:15  9 (with-exception-handler #<procedure 7f4cf1f528a0 at ic…> …)
  1736:10  8 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
   631:22  7 (thunk)
  2025:24  6 (run-with-store #<store-connection 256.99 7f4cfa5606e0> …)
In guix/scripts/refresh.scm:
   559:14  5 (_ _)
In srfi/srfi-1.scm:
    634:9  4 (for-each #<procedure 7f4cf8c43f80 at guix/scripts/ref…> …)
In guix/scripts/refresh.scm:
    362:2  3 (check-for-package-update #<package [email-masked]…> …)
In guix/import/github.scm:
   211:12  2 (latest-release _)
In ice-9/boot-9.scm:
  1669:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Error downloading release information through the GitHub
API when using a GitHub token
--8<---------------cut here---------------end--------------->8---

I have the GUIX_GITHUB_TOKEN environment variable set.

I'm on commit e4d341fa74d005cc3cd1437a1908ba1993d54d5b.

Cheers,
Sergiu